Skip to main content

Response fields

Response field descriptions

Output container/fieldTypeDescription
promotionIdstring

The unique eBay-assigned identifier of a discount.

Occurrence: Always

couponCodestring

A unique code that buyers can use during checkout to receive a discount.

This field is only applicable with the CODED_COUPON discount type. It is returned as null for other discount types.

Occurrence: Conditional

promotionStartDatestring

The date and time the discount starts in UTC format (yyyy-MM-ddThh:mm:ssZ).

Occurrence: Always

promotionEndDatestring

The date and time the discount ends in UTC format (yyyy-MM-ddThh:mm:ssZ).

Occurrence: Always

promotionTypePromotionTypeEnum

This enumeration value indicates the type of discount. See the PromotionTypeEnum type description for more information on each different discount type.

Note: Currently, only the CODED_COUPON discount type is supported.

Occurrence: Always

promotionMessagestring

The text describing the discount.

Occurrence: Conditional

promotionTermsUrlstring

The URL for the terms and conditions page for the discount.

Occurrence: Conditional

promotionSourceTypePromotionSourceTypeEnum

This enumeration value indicates the source of the product discount. This establishes whether a discount was created by a seller independently or if it was created by eBay for a multi-seller discount event. See the PromotionSourceTypeEnum type description for more information on what each value indicates.

Occurrence: Always

maxRedemptionPerUserint

The maximum number of times a discount can be redeemed per buyer.

Occurrence: Conditional

offersarray of Offer

An array of one or more offers associated with the promotion. Each offer object represents a different combination of criteria and discount configuration.

Occurrence: Always